import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Basic Projectile
 */
public class BasicProjectile extends Projectile
{
  // generates a sprite
    public static GreenfootImage generateSprite(){
      int width = 10;
      int height = 10;
      GreenfootImage image = new GreenfootImage(width, height);
      image.setColor(Color.BLACK);
      image.fillOval(0, 0, width - 1, height - 1);
      return image;
    }
    // takes in the upgrade level of the projectile to scale damage
    // and a heading to move in that direction.
    public BasicProjectile(int upgradeLevel, int heading){
      super(generateSprite(), 1, upgradeLevel ,heading);
    }

}
