import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.ArrayList;
/**
 * Basic Enemy in game
 */
public class BasicEnemy extends Enemy
{
  //static method that generates the sprite.
  public static GreenfootImage generateSprite(){
    int width = 20;
    int height = 20;
    GreenfootImage image = new GreenfootImage(width, height);
    image.setColor(Color.BLACK);
    image.fillOval(0, 0, width - 1, height - 1);
    return image;
  }
    // BasicEnemy constructor, takes in the path, an id, and the current level
    public BasicEnemy(ArrayList <Coord> path,int id, int level){
      // generates an enemy with preset values based this variant of Enemy
      super(generateSprite(),path, id, 1, 10, 1, 10, 1);
      hp = level;
      playerLivesLost += (level/10);

    }
}
