import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.ArrayList;
/**
 * Boss enemy
 */
public class Boss extends Enemy
{
  // generates the sprites.
  public static GreenfootImage generateSprite(){
    int width = 35;
    int height = 35;
    GreenfootImage image = new GreenfootImage(width, height);
    Color c = new Color(63, 101, 206);
    image.setColor(c);
    image.fillOval(0, 0, width - 1, height - 1);
    return image;
  }
  // takes in a path, an id, and the current level
    public Boss(ArrayList <Coord> path,int id, int level){
      super(generateSprite(),path, id, 1, 1000, 1, 500, 100);
      hp = level*15;
    }
}
