import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A subclass of Projectile, with more velocity and damage.
 */
public class PowerProjectile extends Projectile
{
    // draws the image
    public static GreenfootImage generateSprite(){
      int width = 10;
      int height = 10;
      GreenfootImage image = new GreenfootImage(width, height);
      image.setColor(Color.RED);
      image.fillOval(0, 0, width - 1, height - 1);
      return image;
    }
    // constructor for the projectile, takes in heading and upgrade level
    public PowerProjectile(int upgradeLevel, int heading){
      //the damage directly scales off the upgrade Level
      super(generateSprite(), 3, (20 + (upgradeLevel*5)) ,heading);
    }

}
