import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.ArrayList;
/**
 * Variant of enemy
 */
public class SpeedEnemy extends Enemy
{
 // draw sprite
  public static GreenfootImage generateSprite(){
    int width = 20;
    int height = 20;
    GreenfootImage image = new GreenfootImage(width, height);
    image.setColor(Color.WHITE);
    image.fillOval(0, 0, width - 1, height - 1);
    return image;
  }
  // constructor for the speed enemy
  public SpeedEnemy(ArrayList <Coord> path, int id ,int level){
    super(generateSprite(),path, id, 1, 15, 2, 20, 1);
    // hp is scales with the level.
    hp = level;
    // player lives lost scales every 20 levels.
    playerLivesLost = (level/20) +1;
  }


}
